graphics/libv4l - The NetBSD Packages Collection

Video4Linux userspace library

libv4l is a collection of libraries which adds a thin abstraction layer on
top of video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices without
having to write seperate code for different devices in the same class.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibv4l-1.20.0.tgz
NetBSD 8.0earmv7hflibv4l-1.18.1.tgz
NetBSD 8.0earmv7hflibv4l-1.20.0.tgz
NetBSD 8.0earmv7hflibv4l-1.20.0.tgz
NetBSD 8.0i386libv4l-1.18.1.tgz
NetBSD 8.0i386libv4l-1.20.0.tgz
NetBSD 8.0i386libv4l-1.20.0.tgz
NetBSD 8.0i386libv4l-1.20.0.tgz
NetBSD 8.0powerpclibv4l-1.18.1.tgz
NetBSD 8.0powerpclibv4l-1.20.0.tgz
NetBSD 8.0powerpclibv4l-1.20.0.tgz
NetBSD 8.0powerpclibv4l-1.20.0.tgz
NetBSD 8.0powerpclibv4l-1.20.0.tgz
NetBSD 8.0x86_64libv4l-1.20.0.tgz
NetBSD 8.0x86_64libv4l-1.18.1.tgz
NetBSD 8.0x86_64libv4l-1.20.0.tgz
NetBSD 8.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0aarch64libv4l-1.20.0.tgz
NetBSD 9.0aarch64libv4l-1.18.1.tgz
NetBSD 9.0aarch64libv4l-1.20.0.tgz
NetBSD 9.0aarch64libv4l-1.20.0.tgz
NetBSD 9.0alphalibv4l-1.20.0.tgz
NetBSD 9.0alphalibv4l-1.20.0.tgz
NetBSD 9.0earmlibv4l-1.20.0.tgz
NetBSD 9.0earmlibv4l-1.20.0.tgz
NetBSD 9.0earmv6hflibv4l-1.20.0.tgz
NetBSD 9.0earmv6hflibv4l-1.18.1.tgz
NetBSD 9.0earmv6hflibv4l-1.20.0.tgz
NetBSD 9.0earmv6hflibv4l-1.20.0.tgz
NetBSD 9.0earmv6hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.18.1.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0earmv7hflibv4l-1.20.0.tgz
NetBSD 9.0i386libv4l-1.18.1.tgz
NetBSD 9.0i386libv4l-1.20.0.tgz
NetBSD 9.0i386libv4l-1.20.0.tgz
NetBSD 9.0i386libv4l-1.20.0.tgz
NetBSD 9.0m68klibv4l-1.18.1.tgz
NetBSD 9.0m68klibv4l-1.20.0.tgz
NetBSD 9.0mips64eblibv4l-1.20.0.tgz
NetBSD 9.0mips64eblibv4l-1.18.1.tgz
NetBSD 9.0mips64eblibv4l-1.20.0.tgz
NetBSD 9.0mips64eblibv4l-1.20.0.tgz
NetBSD 9.0mipsellibv4l-1.20.0.tgz
NetBSD 9.0mipsellibv4l-1.20.0.tgz
NetBSD 9.0mipsellibv4l-1.20.0.tgz
NetBSD 9.0powerpclibv4l-1.20.0.tgz
NetBSD 9.0powerpclibv4l-1.18.1.tgz
NetBSD 9.0powerpclibv4l-1.20.0.tgz
NetBSD 9.0powerpclibv4l-1.20.0.tgz
NetBSD 9.0powerpclibv4l-1.20.0.tgz
NetBSD 9.0sh3ellibv4l-1.20.0.tgz
NetBSD 9.0sh3ellibv4l-1.18.1.tgz
NetBSD 9.0sh3ellibv4l-1.20.0.tgz
NetBSD 9.0sh3ellibv4l-1.20.0.tgz
NetBSD 9.0sparc64libv4l-1.20.0.tgz
NetBSD 9.0sparc64libv4l-1.20.0.tgz
NetBSD 9.0sparclibv4l-1.20.0.tgz
NetBSD 9.0sparclibv4l-1.18.1.tgz
NetBSD 9.0sparclibv4l-1.20.0.tgz
NetBSD 9.0sparclibv4l-1.20.0.tgz
NetBSD 9.0vaxlibv4l-1.20.0.tgz
NetBSD 9.0vaxlibv4l-1.20.0.tgz
NetBSD 9.0vaxlibv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.18.1.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz
NetBSD 9.0x86_64libv4l-1.20.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.